Custom fields
Create Custom Field Media Upload URL
Creates a Custom Field Media Upload URL
Authorization
HTTPBearer AuthorizationBearer <token>
In: header
Path Parameters
custom_field_id*string
Header Parameters
Members-Context?|
Members organization id (org_…) when the client has multiple organizations.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
content_type*string
MIME type of the file to upload.
Response Body
application/json
application/json
curl -X POST "https://api.members.dev/v1/custom-fields/string/upload" \ -H "Content-Type: application/json" \ -d '{ "content_type": "image/png" }'{
"upload_url": "string",
"public_url": "string",
"object_key": "orgs/org_01ARZ…/logo_550e8400-e29b-41d4-a716-446655440000.png",
"expires_in": 300
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string",
"input": null,
"ctx": {}
}
]
}